# pamfile

Updated: 04 July 2020
Table Of Contents

## NAME

pamfile - describe a Netpbm (PAM or PNM) file

## SYNOPSIS

pamfile [-allimages] [-comments] [-count] [-machine] [-size] [file ...]

Minimum unique abbreviations of options are acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

## DESCRIPTION

This program is part of Netpbm.

pamfile reads one or more Netpbm files as input and writes out short descriptions of the image type, size, etc. This is partly for use in shell scripts, so the format is not particularly pretty.

By default, pamfile reads only the header of the input file. If that file is a pipe, that might cause problems for the process that is feeding the pipe. In that case, see the -allimages option.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), pamfile recognizes the following command line options:

-allimages
  This option causes pamfile to describe every image in each input file. Without this option, pamfile describes only the first image in each input file.

  This option also causes pamfile to read all the images from the input stream, whereas without it, pamfile reads only the header of the first one. If the input stream is from a pipe, the process that is feeding the pipe might require the entire stream to be consumed. In that case, use this option even if the stream contains only one image.

  This option has no effect if you also specify -count.

  Note that before July 2000, a file could not contain more than one image and many programs ignore all but the first.

  This option was new in Netpbm 9.5 (July 2000).

-comments
  This option causes pamfile to include for each PAM image a report of the comments from the header of the image.

  For a PBM, PGM, or PPM image, pamfile reports there are no comments, even if there are.

  This option was new in Netpbm 10.35 (August 2006).

-count
  This option causes pamfile to display only a count of how many images are in each input file.

  As with -allimages, this causes pamfile to read all the images.

  You may specify at most one of -count, -machine, and -size.

  This option was new with Netpbm 10.31 (December 2005).

-machine
  This makes the output more convenient for a machine to use, while less convenient for a human. pamfile reports the same information as with no options.

  The output is one line of ASCII text per image. Each line consists of the file name, followed by a colon, followed by a space, then the following tokens with a space in between:

  1. Format: "PAM", "PBM", "PGM", or "PPM",
  2. Subformat: "PLAIN" or "RAW"
  3. Width: in pixels, in decimal
  4. Height: in pixels, in decimal
  5. Depth: in decimal
  6. Maxval: in decimal (1 if image is PBM)
  7. Tuple type (emulated if the image is not PAM)

  You may specify at most one of -count, -machine, and -size.

  This option was new in Netpbm 10.86 (March 2019).

-size
  This makes the output contain only the height and width of the image, in a form convenient for machine processing.

  There is one line of output per image, consisting of two blank-delimited tokens:

  1. Width: in pixels, in decimal
  2. Height: in pixels, in decimal

  Note that there is no way to tell which image is in which file, if you have multiple input files with multiple images. If that is your case, use -machine instead.

  You may specify at most one of -count, -machine, and -size.

  This option was new in Netpbm 10.86 (March 2019).

## SEE ALSO

pam, ppmhist, file

## AUTHOR

Copyright (C) 1991 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR